Thread (10 messages) flat view 10 messages, 4 authors, 2016-06-15

Re: [PATCH] Fix submodule sync with relative submodule URLs

From: David Aguilar <hidden>
Date: 2016-06-15 22:45:24

On Mon, Sep 22, 2008 at 9:08 AM, Johan Herland [off-list ref] wrote:
quoted hunk ↗ jump to hunk
Signed-off-by: Johan Herland <redacted>
---
 git-submodule.sh |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)
diff --git a/git-submodule.sh b/git-submodule.sh
index 1c39b59..92be0fe 100755
--- a/git-submodule.sh
+++ b/git-submodule.sh
@@ -634,6 +634,14 @@ cmd_sync()
       do
               name=$(module_name "$path")
               url=$(git config -f .gitmodules --get submodule."$name".url)
+
+               # Possibly a url relative to parent
+               case "$url" in
+               ./*|../*)
+                       url=$(resolve_relative_url "$url") || exit
+                       ;;
+               esac
+
               if test -e "$path"/.git
               then
               (
--
1.6.0.1.400.gd2470
Instead of just doing an "|| exit" shouldn't it report an explanation
of the error?
Other than that, it looks good to me.

Mark, Junio?


-- 
 David
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help